Update Facility
curl --request PUT \
--url https://api.sandbox.metriport.com/medical/v1/facility/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"npi": "<string>",
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"tin": "<string>",
"active": true
}
'import requests
url = "https://api.sandbox.metriport.com/medical/v1/facility/{id}"
payload = {
"name": "<string>",
"npi": "<string>",
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"tin": "<string>",
"active": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
npi: '<string>',
address: {
addressLine1: '<string>',
addressLine2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>'
},
tin: '<string>',
active: true
})
};
fetch('https://api.sandbox.metriport.com/medical/v1/facility/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.metriport.com/medical/v1/facility/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'npi' => '<string>',
'address' => [
'addressLine1' => '<string>',
'addressLine2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'zip' => '<string>',
'country' => '<string>'
],
'tin' => '<string>',
'active' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.metriport.com/medical/v1/facility/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"npi\": \"<string>\",\n \"address\": {\n \"addressLine1\": \"<string>\",\n \"addressLine2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"tin\": \"<string>\",\n \"active\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sandbox.metriport.com/medical/v1/facility/{id}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"npi\": \"<string>\",\n \"address\": {\n \"addressLine1\": \"<string>\",\n \"addressLine2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"tin\": \"<string>\",\n \"active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.metriport.com/medical/v1/facility/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"npi\": \"<string>\",\n \"address\": {\n \"addressLine1\": \"<string>\",\n \"addressLine2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"tin\": \"<string>\",\n \"active\": true\n}"
response = http.request(request)
puts response.read_bodyimport { MetriportMedicalApi, USState } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const facility = await metriport.updateFacility({
id: "018a80c4-292a-7486-a1234-9uiu76yhe234",
name: "Care Facility, LLC",
npi: "1234567891",
tin: "12-3456789",
active: true,
address: {
addressLine1: "2261 Market Street",
addressLine2: "#4818",
city: "San Francisco",
state: USState.CA,
zip: "94114",
country: "USA",
},
});
Facility
Update Facility
Updates a Facility in Metriport where your patients receive care.
PUT
/
medical
/
v1
/
facility
/
{id}
Update Facility
curl --request PUT \
--url https://api.sandbox.metriport.com/medical/v1/facility/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"npi": "<string>",
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"tin": "<string>",
"active": true
}
'import requests
url = "https://api.sandbox.metriport.com/medical/v1/facility/{id}"
payload = {
"name": "<string>",
"npi": "<string>",
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"tin": "<string>",
"active": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
npi: '<string>',
address: {
addressLine1: '<string>',
addressLine2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>'
},
tin: '<string>',
active: true
})
};
fetch('https://api.sandbox.metriport.com/medical/v1/facility/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.metriport.com/medical/v1/facility/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'npi' => '<string>',
'address' => [
'addressLine1' => '<string>',
'addressLine2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'zip' => '<string>',
'country' => '<string>'
],
'tin' => '<string>',
'active' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.metriport.com/medical/v1/facility/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"npi\": \"<string>\",\n \"address\": {\n \"addressLine1\": \"<string>\",\n \"addressLine2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"tin\": \"<string>\",\n \"active\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sandbox.metriport.com/medical/v1/facility/{id}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"npi\": \"<string>\",\n \"address\": {\n \"addressLine1\": \"<string>\",\n \"addressLine2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"tin\": \"<string>\",\n \"active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.metriport.com/medical/v1/facility/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"npi\": \"<string>\",\n \"address\": {\n \"addressLine1\": \"<string>\",\n \"addressLine2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"tin\": \"<string>\",\n \"active\": true\n}"
response = http.request(request)
puts response.read_bodyimport { MetriportMedicalApi, USState } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const facility = await metriport.updateFacility({
id: "018a80c4-292a-7486-a1234-9uiu76yhe234",
name: "Care Facility, LLC",
npi: "1234567891",
tin: "12-3456789",
active: true,
address: {
addressLine1: "2261 Market Street",
addressLine2: "#4818",
city: "San Francisco",
state: USState.CA,
zip: "94114",
country: "USA",
},
});
Path Params
Body
The name of your Facility. This is the actual address where a patient will receive care (can be
virtual) - for example
Care Facility, LLC.The 10 digit National Provider Identifier (NPI) that will be used to make requests on behalf of
the Facility.
Response
The ID assigned to this Facility. This ID will be used to uniquely identify this Facility in
medical documents.
The name of your Facility. This is the actual address where a patient will receive care (can be
virtual) - for example
Care Facility, LLC.The 10 digit National Provider Identifier (NPI) that will be used to make requests on behalf of
the Facility.
import { MetriportMedicalApi, USState } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const facility = await metriport.updateFacility({
id: "018a80c4-292a-7486-a1234-9uiu76yhe234",
name: "Care Facility, LLC",
npi: "1234567891",
tin: "12-3456789",
active: true,
address: {
addressLine1: "2261 Market Street",
addressLine2: "#4818",
city: "San Francisco",
state: USState.CA,
zip: "94114",
country: "USA",
},
});
{
"id": "018a80c4-292a-7486-a1234-9uiu76yhe234",
"oid": "2.16.840.1.113883.3.666.123.4.101",
"name": "Care Facility, LLC",
"npi": "1234567891",
"tin": "12-3456789",
"active": true,
"address": {
"addressLine1": "2261 Market Street",
"addressLine2": "#4818",
"city": "San Francisco",
"state": "CA",
"zip": "94114",
"country": "USA"
}
}

